Bug 25394 - Cronjob path in the AuthorityMergeLimit syspref description is wrong
Summary: Cronjob path in the AuthorityMergeLimit syspref description is wrong
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on: 9988
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-06 16:34 UTC by Caroline Cyr La Rose
Modified: 2020-07-11 07:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Updates the system preference description with the correct path for the cronjob (misc/cronjobs/merge_authorities.pl).
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.13


Attachments
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong (1.53 KB, patch)
2020-05-06 16:43 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong (1.74 KB, patch)
2020-05-06 16:45 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong (1.74 KB, patch)
2020-05-06 20:24 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong (1.80 KB, patch)
2020-05-06 20:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong (1.86 KB, patch)
2020-05-23 11:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-05-06 16:34:12 UTC
In the description for the AuthorityMergeLimit system preference, it says it is controlled by the misc/migration_tools/merge_authority.pl cronjob. However, merge_authority.pl is not in the migration_tools directory but in the cronjobs.
Comment 1 Caroline Cyr La Rose 2020-05-06 16:43:05 UTC
Created attachment 104443 [details] [review]
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong
Comment 2 Caroline Cyr La Rose 2020-05-06 16:45:31 UTC
Created attachment 104444 [details] [review]
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong

Test plan:
1- Apply patch
2- Go to Administration > Global system preferences > Authorities
3- The path to merge_authorities.pl in the AuthorityMergeLimit
description should now read misc/cronjobs/merge_authorities.pl
Comment 3 Caroline Cyr La Rose 2020-05-06 16:46:37 UTC
I hope I did this right. I seldom do patches and forget the process in between each time...
Comment 4 David Nind 2020-05-06 20:18:12 UTC
(In reply to Caroline Cyr La Rose from comment #3)
> I hope I did this right. I seldom do patches and forget the process in
> between each time...

Looks like you remembered the process, as it works! 8-)

However, the script name now shows in the system preference as 'merge_authority.pl', rather than 'merge_authorities.pl' 8-(

The test plan is correct though.

If you could fix that up, I'll sign it off.

David
Comment 5 Caroline Cyr La Rose 2020-05-06 20:24:08 UTC
Created attachment 104457 [details] [review]
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong

Test plan:
1- Apply patch
2- Go to Administration > Global system preferences > Authorities
3- The path to merge_authorities.pl in the AuthorityMergeLimit
description should now read misc/cronjobs/merge_authorities.pl
Comment 6 Caroline Cyr La Rose 2020-05-06 20:25:01 UTC
Hi David!

Good thing you have eagle eyes!

I have corrected the whole thing again (cronjobs + authorities)
Comment 7 David Nind 2020-05-06 20:45:15 UTC
Created attachment 104458 [details] [review]
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong

Test plan:
1- Apply patch
2- Go to Administration > Global system preferences > Authorities
3- The path to merge_authorities.pl in the AuthorityMergeLimit
description should now read misc/cronjobs/merge_authorities.pl

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 David Nind 2020-05-06 20:46:32 UTC
(In reply to Caroline Cyr La Rose from comment #6)
> Good thing you have eagle eyes!

Only sometimes, today was your lucky day! 8-)
Comment 9 Katrin Fischer 2020-05-23 11:33:32 UTC
Created attachment 105300 [details] [review]
Bug 25394: Cronjob path in the AuthorityMergeLimit syspref description is wrong

Test plan:
1- Apply patch
2- Go to Administration > Global system preferences > Authorities
3- The path to merge_authorities.pl in the AuthorityMergeLimit
description should now read misc/cronjobs/merge_authorities.pl

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2020-06-15 09:59:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-06-17 23:13:11 UTC
backported to 20.05.x for 20.05.01
Comment 12 Aleisha Amohia 2020-06-22 04:26:18 UTC
backported to 19.11.x for 19.11.07
Comment 13 Victor Grousset/tuxayo 2020-07-03 05:57:51 UTC
Backported to 19.05.x branch for 19.05.13